#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# File: src/utils/Vec3Pool.js

    module.exports = Vec3Pool;

    var Vec3 = require('../math/Vec3');
    var Pool = require('./Pool');

    /**
     * @class Vec3Pool
     * @constructor
     * @extends Pool
     */
    function Vec3Pool(){
        Pool.call(this);
        this.type = Vec3;
    }
    Vec3Pool.prototype = new Pool();

    /**
     * Construct a vector
     * @method constructObject
     * @return {Vec3}
     */
    Vec3Pool.prototype.constructObject = function(){
        return new Vec3();
    };